ChaCha_Info< R > Class Template Reference

ChaCha stream cipher information. More...

Inheritance diagram for ChaCha_Info< R >:

## Static Public Member Functions

static const char * | StaticAlgorithmName ()
Static Public Member Functions inherited from VariableKeyLength< 32, 16, 32, 16, SimpleKeyingInterface::UNIQUE_IV, 8 >
static size_t | StaticGetValidKeyLength (size_t keylength)
| Provides a valid key length for the algorithm provided by a static function. More...

## Additional Inherited Members

Static Public Attributes inherited from VariableKeyLength< 32, 16, 32, 16, SimpleKeyingInterface::UNIQUE_IV, 8 >
static const int | MIN_KEYLENGTH
| The minimum key length used by the algorithm provided as a constant. More...
static const int | MAX_KEYLENGTH
| The maximum key length used by the algorithm provided as a constant. More...
static const int | DEFAULT_KEYLENGTH
| The default key length used by the algorithm provided as a constant. More...
static const int | KEYLENGTH_MULTIPLE
| The key length multiple used by the algorithm provided as a constant. More...
static const int | IV_REQUIREMENT
| The default IV requirements for the algorithm provided as a constant. More...
static const int | IV_LENGTH
| The default initialization vector length for the algorithm provided as a constant. More...
Static Public Attributes inherited from FixedRounds< R >
static const int | ROUNDS = R
| The number of rounds for the algorithm provided as a constant.

## Detailed Description

### template<unsigned int R>
class ChaCha_Info< R >

ChaCha stream cipher information.

Since
  Crypto++ 5.6.4

Definition at line 22 of file chacha.h.

The documentation for this class was generated from the following file:

- chacha.h